<?xml version="1.0"?>
<faces-config version="2.2" xmlns="http://xmlns.jcp.org/xml/ns/javaee"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-facesconfig_2_2.xsd">
  <application>
	<resource-bundle>
	   <base-name>config</base-name>
	   <var>config</var>
	  </resource-bundle>
	 </application>
	
    <navigation-rule> 
    
	    <from-view-id>*</from-view-id> 
	    
	    <navigation-case> 
	      <from-outcome>home</from-outcome> 
	      <to-view-id>/salas/control_asistencia.xhtml</to-view-id> 
	    </navigation-case>
	    <navigation-case> 
	      <from-outcome>homeMonitoreo</from-outcome> 
	      <to-view-id>/salas/monitoreo_salas.xhtml</to-view-id> 
	    </navigation-case>
	    <navigation-case> 
	      <from-outcome>login</from-outcome> 
	      <to-view-id>/seguridad/login.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>ruta1</from-outcome> 
	      <to-view-id>/inicio/home.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>editar_usuario_general</from-outcome> 
	      <to-view-id>/bandejasiru/editarUsuarioGeneral.xhtml</to-view-id> 
	    </navigation-case>

	    <navigation-case> 
	      <from-outcome>editar_usuario_investigador</from-outcome> 
	      <to-view-id>/bandejasiru/editarUsuarioInvestigador.xhtml</to-view-id> 
	    </navigation-case>

	    <navigation-case> 
	      <from-outcome>bandejaSalaUsuario</from-outcome> 
	      <to-view-id>/bandejasiru/bandejaSalaUsuario.xhtml</to-view-id> 
	    </navigation-case>

	    <navigation-case> 
	      <from-outcome>nuevoUsuarioGeneralInt</from-outcome> 
	      <to-view-id>/bandejasiru/nuevoUsuarioGeneralInt.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>nuevoUsuarioInvestigadorInt</from-outcome> 
	      <to-view-id>/bandejasiru/nuevoUsuarioInvestigadorInt.xhtml</to-view-id> 
	    </navigation-case>
	    	    
	    <navigation-case> 
	      <from-outcome>registrarVisitaASala</from-outcome> 
	      <to-view-id>/bandejasiru/registrarVisitaASala.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>bandejaRegistroVisitaSala</from-outcome> 
	      <to-view-id>/bandejasiru/bandejaRegistroVisitaSala.xhtml</to-view-id> 
	    </navigation-case>
	    	    	    	    
	    <navigation-case> 
	      <from-outcome>bandejaJefeOAJ</from-outcome> 
	      <to-view-id>/bandejasaip/bandejaJefeOAJ.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>detalleBandJefeOAJ</from-outcome> 
	      <to-view-id>/bandejasaip/detalleBandJefeOAJ.xhtml</to-view-id> 
	    </navigation-case>
    
    	<navigation-case> 
	      <from-outcome>bandejaAsistenteOAJ</from-outcome> 
	      <to-view-id>/bandejasaip/bandejaAsistenteOAJ.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>detalleBandAsistenteOAJ</from-outcome> 
	      <to-view-id>/bandejasaip/detalleBandAsistenteOAJ.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>bandejaSecretariaUO</from-outcome> 
	      <to-view-id>/bandejasaip/bandejaSecretariaUO.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>detalleBandSecretariaUO</from-outcome> 
	      <to-view-id>/bandejasaip/detalleBandSecretariaUO.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>bandejaResponsableUO</from-outcome> 
	      <to-view-id>/bandejasaip/bandejaResponsableUO.xhtml</to-view-id> 
	    </navigation-case>
	    
	    <navigation-case> 
	      <from-outcome>detalleBandResponsableUO</from-outcome> 
	      <to-view-id>/bandejasaip/detalleBandResponsableUO.xhtml</to-view-id> 
	    </navigation-case>
    </navigation-rule>
    <!-- 
    <component>
    	<component-type>org.primefaces.component.SelectCheckboxMenu</component-type> 
    	<component-class>pe.gob.servir.sistemas.transparencia.constantes.SelectCheckboxMenu</component-class> 
    </component>
	 -->
	<application>
	  <action-listener>org.primefaces.application.DialogActionListener</action-listener>
	  <navigation-handler>org.primefaces.application.DialogNavigationHandler</navigation-handler>
	  <view-handler>org.primefaces.application.DialogViewHandler</view-handler>
	</application>  
 	<!-- MANEJO DE ERRORES
	<factory>
	 <exception-handler-factory>pe.gob.servir.sistemas.transparencia.handler.exception.CustomExceptionHandlerFactory</exception-handler-factory>
	</factory>
  -->
</faces-config>
